Subject: Re: [PATCH v6 12/17] powerpc/pseries/vas: Integrate API with open/close windows

From: Nicholas Piggin <[email-masked]>
Date: Fri, 18 Jun 2021 09:22:13 +1000

Excerpts from Haren Myneni's message of June 18, 2021 6:36 am:
> 
> This patch adds VAS window allocatioa/close with the corresponding
> hcalls. Also changes to integrate with the existing user space VAS
> API and provide register/unregister functions to NX pseries driver.
> 
> The driver register function is used to create the user space
> interface (/dev/crypto/nx-gzip) and unregister to remove this entry.
> 
> The user space process opens this device node and makes an ioctl
> to allocate VAS window. The close interface is used to deallocate
> window.
> 
> Signed-off-by: Haren Myneni <[email-masked]>

Reviewed-by: Nicholas Piggin <[email-masked]>

Unless there is some significant performance reason it might be simplest
to take the mutex for the duration of the allocate and frees rather than 
taking it several times, covering the atomic with the lock instead.

You have a big lock, might as well use it and not have to wonder what if 
things race here or there.

But don't rework that now, maybe just something to consider for later.

Thanks,
Nick